#!/usr/bin/env python
import csv
import sys

template_old = """\\genericlabel{{%
\\begin{{tabular}}{{c}}
\\raisebox{{-3mm}}{{\\begin{{minipage}}{{22mm}}
\\scalebox{{.55}}{{%
\\begin{{tabular}}{{l}}
{{\\large\\bfseries {0}}}\\\\
{1}\\\\
{2}
\\end{{tabular}}
}}
\\end{{minipage}}}}
\\raisebox{{-6mm}}{{\\includegraphics[height=6mm]{{images/{3}.png}}}}\\\\
\\barcode{{{4}}}
\\end{{tabular}}}}"""

template = """\\ticket{{\\tiny%
\\put(-.2,4.6){{\\begin{{tabular}}{{p{{0.8mm}}@{{}}l@{{}}r}}
\\multicolumn{{3}}{{c}}{{\\tiny\\bfseries {0}}}\\\\
&{1}&\\multirow{{2}}{{*}}{{\\includegraphics[height=6mm]{{images/{3}.png}}}}\\\\
&{2}&\\\\[1mm]
\\multicolumn{{3}}{{c}}{{\\barcode{{{4}}}}}
\\end{{tabular}}}}}}"""

if len(sys.argv) < 2:
	file = sys.stdin
else:
	file = open(sys.argv[1], 'rb')

input = csv.reader(file, delimiter=',', quotechar='"')
for i, row in enumerate(input):
	if i==0:
		continue
	if row[0] != '':
		#row[4] = row[4][1:]
		print(template.format(*row))
